This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022588 - fedora-review: Do not install Java plugin
fedora-review: Do not install Java plugin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1021344
  Show dependency treegraph
 
Reported: 2013-10-23 11:16 EDT by Mikolaj Izdebski
Modified: 2015-05-23 00:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-23 00:15:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.28 KB, patch)
2013-10-23 11:23 EDT, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Mikolaj Izdebski 2013-10-23 11:16:10 EDT
Description of problem:
Java plugin for Fedora Review is now available as part of Java Packages Tools project, which has become the primary maintainer of the plugin.

Please don't install Java plugin so that users can install it separately from Java Packages Tools.

Version-Release number of selected component (if applicable):
0.5.0-1
Comment 1 Mikolaj Izdebski 2013-10-23 11:23:58 EDT
Created attachment 815458 [details]
Proposed patch
Comment 2 Stanislav Ochotnicky 2013-10-23 12:08:47 EDT
That patch is actually not usable since f-r uses same specs for everything in el6+. I'll conditionalise this
Comment 3 Stanislav Ochotnicky 2013-10-24 04:59:23 EDT
Actually...in upstream we have a shim java plugin that warns about missing "fedora-review-plugin-java" when it's not installed. With next release this is going to be fixed and until then the warnings are actually not affecting the results at all.

After that the javapackges-tools will need to add subpackage for F18, F19 but that's about it
Comment 4 Orion Poplawski 2014-05-06 14:04:49 EDT
Still seeing the warning with 0.5.1-2.fc20
Comment 5 Alec Leamas 2015-04-15 14:36:43 EDT
See also upstream bug https://fedorahosted.org/FedoraReview/ticket/239
Comment 6 Alec Leamas 2015-05-23 00:15:12 EDT
Fixed since long. java-plugin is not installed by fedora-review, it only emits a warning about missing plugin for java code if plugin isn't installed. fedora-review-plugin-jave is maintained by the java SIG.

Closing

Note You need to log in before you can comment on or make changes to this bug.